{ pkgs, ...}: 

{
  programs.zsh.enable = true;
  environment.shells = with pkgs; [ zsh ];

  # Setup torjus user
  users.users.torjus = {
    isNormalUser = true;
    home = "/home/torjus";
    description = "Torjus";
    shell = pkgs.zsh;
    extraGroups = [ "wheel" "networkmanager" ];
    # Install some user packages
    packages = with pkgs; [
      # Hyprland stuff
      rofi-wayland
      swaylock
      waybar
      dunst
      slurp
      wpaperd
    ];
  };
}
